Summary:	Client to update dynamic DNS host entries
Name:		ddclient
Version:	3.8.0
Release:	%mkrel 4
License:	GPL
Group:		System/Configuration/Networking
URL:		http://ddclient.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/ddclient/%name-%version.tar.bz2
# (fc) 3.8.0-2mdv add LSB header
Patch0:		ddclient-3.8.0-lsb.patch
BuildArch:	noarch
Requires:	perl(IO::Socket::SSL)
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
ddclient is a Perl client used to update dynamic DNS entries for accounts
on many different dynamic DNS services. Features include: Operating as a
daemon, manual and automatic updates, static and dynamic updates, optimized
updates for multiple addresses, MX, wildcards, abuse avoidance, retrying
the failed updates and sending update status to syslog and through e-mail.

%prep
%setup -q
%patch0 -p1 -b .lsb

#fix rights for docs
chmod 644 sample-*

%build
#nothing

%install
rm -rf %{buildroot}

install -Dpm755 ddclient %{buildroot}%{_sbindir}/%{name}
install -Dpm600 sample-etc_ddclient.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -Dpm755 sample-etc_rc.d_init.d_ddclient.redhat %{buildroot}%{_initrddir}/%{name}

mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}/
touch %{buildroot}%{_localstatedir}/cache/%{name}/ddclient.cache

%clean
rm -rf %{buildroot}

%post
%create_ghostfile %{_localstatedir}/cache/%{name}/%{name}.cache root root 600
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc sample* README*
%{_sbindir}/%{name}
%{_initrddir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_localstatedir}/cache/%{name}
%ghost %{_localstatedir}/cache/%{name}/%{name}.cache


%changelog
* Sat Apr 09 2011 wally <wally> 3.8.0-4.mga1
+ Revision: 82593
- change summary and description (thanks goes to Fedora)

* Sat Apr 09 2011 wally <wally> 3.8.0-3.mga1
+ Revision: 82520
- minor .spec rewrite
- drop buildroot definition
- imported package ddclient


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.8.0-3mdv2011.0
+ Revision: 610205
- rebuild

* Fri Apr 17 2009 Frederic Crozat <fcrozat@mandriva.com> 3.8.0-2mdv2010.1
+ Revision: 367863
- Patch0: add LSB header to initscript
- use macro to add/remove service

* Fri Feb 20 2009 Frederik Himpe <fhimpe@mandriva.org> 3.8.0-1mdv2009.1
+ Revision: 343496
- update to new version 3.8.0

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 3.7.3-5mdv2009.0
+ Revision: 243987
- rebuild

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 3.7.3-3mdv2008.1
+ Revision: 187591
- rebuild for 2008.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Emmanuel Andry <eandry@mandriva.org> 3.7.3-1mdv2008.0
+ Revision: 79530
- New version

* Fri May 25 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 3.7.1-3mdv2008.0
+ Revision: 31224
- add explict requirement for perl(IO::Socket::SSL). Without it ddclient
  fails silently when trying to access https servers.
  (automatic requirement not working for this one)


* Tue Mar 20 2007 Lenny Cartier <lenny@mandriva.com> 3.7.1-2mdv2007.1
+ Revision: 146924
- Add /var/cache/ddclient directory

* Tue Feb 13 2007 Lenny Cartier <lenny@mandriva.com> 3.7.1-1mdv2007.1
+ Revision: 120449
- Update to 3.7.1
- Import ddclient

* Fri Jun 16 2006 Lenny Cartier <lenny@mandriva.com> 3.7.0-1mdv2007.0
- 3.7.0

* Sun Dec 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.6.7-1mdk
- New release 3.6.7

* Sat May 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.6.6-1mdk
- New release 3.6.6

* Wed Feb 09 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.6.5-3mdk
- remove patch to fix initscript

* Wed Jan 05 2005 Lenny Cartier <lenny@mandrakesoft.com> 3.6.5-2mdk
- fix initscript (from Luis Alves)

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 3.6.5-1mdk
- 3.6.5

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.6.4-2mdk
- move config files to /etc/ddclient

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.6.4-1mdk
- 3.6.4

